Package be.ehealth.businessconnector.hub.service.impl

# Class IntraHubPatientServiceImpl

java.lang.Object
be.ehealth.businessconnector.hub.service.impl.IntraHubPatientServiceImpl

All Implemented Interfaces:
  `IntraHubPatientService`, `ConfigurationModuleBootstrap.ModuleBootstrapHook`

public class IntraHubPatientServiceImpl extends Object implements IntraHubPatientService, ConfigurationModuleBootstrap.ModuleBootstrapHook
Implementation of `IntraHubPatientService` Extends : `IntraHubAbstract`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IntraHubPatientServiceImpl()`
  needed for ModuleBootstrapHook.
  `IntraHubPatientServiceImpl(IntraHubService hubService, HubReplyValidator validator)`
  Instantiates a new intra hub patient service.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `bootstrap()`
  `PersonType`
  `getPatient(PatientIdType patientId)`
  Gets the patient.
  `ConsentType`
  `getPatientConsent(SelectGetPatientConsentType patientConsent)`
  Gets the patient consent.
  `PersonType`
  `putPatient(PersonType patient)`
  Put patient.
  `void`
  `putPatientConsent(ConsentType patientConsent)`
  Put patient consent.
  `void`
  `revokePatientConsent(ConsentType patientConsent)`
  Revoke patient consent.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IntraHubPatientServiceImpl

    public IntraHubPatientServiceImpl(IntraHubService hubService, HubReplyValidator validator) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Instantiates a new intra hub patient service.
    Parameters:
      `hubService` - the hub service
      `validator` - the validator
    Throws:
      `TechnicalConnectorException` - the technical connector exception
      `IntraHubBusinessConnectorException` - the business connector exception

  - ### IntraHubPatientServiceImpl

    public IntraHubPatientServiceImpl()
    needed for ModuleBootstrapHook. dont create service with this constructor.

- ## Method Details

  - ### putPatient

    public PersonType putPatient(PersonType patient) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubPatientService`
    Put patient.
    Specified by:
      `putPatient` in interface `IntraHubPatientService`
    Parameters:
      `patient` - the patient
    Returns:
      PersonType
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubPatientService.putPatient(be.fgov.ehealth.standards.kmehr.schema.v1.PersonType)`

  - ### getPatient

    public PersonType getPatient(PatientIdType patientId) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubPatientService`
    Gets the patient.
    Specified by:
      `getPatient` in interface `IntraHubPatientService`
    Parameters:
      `patientId` - the patient id
    Returns:
      the patient
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubPatientService.getPatient(be.fgov.ehealth.hubservices.core.v1.PatientIdType)`

  - ### putPatientConsent

    public void putPatientConsent(ConsentType patientConsent) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubPatientService`
    Put patient consent.
    Specified by:
      `putPatientConsent` in interface `IntraHubPatientService`
    Parameters:
      `patientConsent` - the patient consent
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubPatientService.putPatientConsent(be.fgov.ehealth.hubservices.core.v1.ConsentType)`

  - ### getPatientConsent

    public ConsentType getPatientConsent(SelectGetPatientConsentType patientConsent) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubPatientService`
    Gets the patient consent.
    Specified by:
      `getPatientConsent` in interface `IntraHubPatientService`
    Parameters:
      `patientConsent` - the patient consent
    Returns:
      the patient consent
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubPatientService.getPatientConsent(be.fgov.ehealth.hubservices.core.v1.SelectGetPatientConsentType)`

  - ### revokePatientConsent

    public void revokePatientConsent(ConsentType patientConsent) throws TechnicalConnectorException, IntraHubBusinessConnectorException
    Description copied from interface: `IntraHubPatientService`
    Revoke patient consent.
    Specified by:
      `revokePatientConsent` in interface `IntraHubPatientService`
    Parameters:
      `patientConsent` - the patient consent
    Throws:
      `TechnicalConnectorException`
      `IntraHubBusinessConnectorException`
    See Also:
      - `IntraHubPatientService.revokePatientConsent(be.fgov.ehealth.hubservices.core.v1.ConsentType)`

  - ### bootstrap

    public void bootstrap()
    Specified by:
      `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`